Subject: bug#16577: Add regexp-based version of completion-ignored-extensions

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 Feb 2022 18:57:32 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Glenn Morris <[email-masked]>,  [email-masked],  Eli Zaretskii
>  <[email-masked]>,  [email-masked]
> Date: Mon, 21 Feb 2022 17:23:11 +0100
> 
> By the way, it'd be nice to have a zero-width regexp matcher for "start
> of file name component" (i.e., match after "/" or at the start of the
> string).  We don't have that already anywhere, by any chance?

Regular expressions don't understand file names, they are just strings
as far as regexps are concerned.